%define	name	libdv
%define	version	1.0.0
%define	release	%mkrel 1

%define	major	4
%define	libname	%mklibname dv %{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
Source0:	http://prdownloads.sourceforge.net/libdv/%name-%version.tar.bz2
URL:		http://libdv.sourceforge.net/
Patch0:		libdv-mmxdetect-athlon.patch.bz2
Patch4:		libdv-0.104-zap-config.h.patch.bz2
Patch5:		libdv-0.104-move-config.h-to-apps.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Summary:	DV software video codec
BuildRequires:	popt-devel libxv-devel X11-devel

%description 
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.

%package	apps
Summary:	Binaries from libdv
Group:		Video
Provides:	%{_lib}dv2-apps = %{version}-%{release}
Obsoletes:	%{_lib}dv2-apps

%description	apps
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.
  
This is the libraries, include files and other resources you can use
to incorporate libdv into applications.


%package -n	%{libname}
Summary:	Libraries from libdv
Group:		System/Libraries

%description -n	%{libname}
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.

This is the libraries, include files and other resources you can use
to incorporate libdv into applications.

%package -n	%{libname}-devel
Summary:	Devel files from libdv
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	popt-devel
Provides:	libdv-devel = %{version}-%{release}
Requires:	pkgconfig
 
%description -n	%{libname}-devel
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.
  
This is the libraries, include files and other resources you can use
to incorporate libdv into applications.

%package -n	%{libname}-static-devel
Group:		Development/C
Summary:	Static library of %{name}
Requires:	%{libname}-devel = %{version}

%description -n	%{libname}-static-devel
This package contains the static library required for statically
linking applications based on %{name}.

%prep
%setup -q
%patch0 -p1 -b .mmx_athlon
%patch4 -p1 -b .zap_config
%patch5 -p1 -b .move_config

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  ./bootstrap
fi
%if %mdkversion <= 1000
%define __libtoolize true
%endif
%configure2_5x --enable-shared --disable-gtk

%make

%install
rm -rf %{buildroot}
%makeinstall

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files apps
%defattr(-,root,root)
%doc ChangeLog COPYING README AUTHORS NEWS INSTALL TODO COPYRIGHT
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%defattr (- ,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc ChangeLog COPYING README AUTHORS NEWS INSTALL TODO COPYRIGHT
%{_includedir}/libdv
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/libdv.pc

%files -n %{libname}-static-devel
%defattr(-,root,root)
%{_libdir}/*.a


%changelog


* Mon Sep 25 2006 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdv2007.0
- drop patches 2,1,3,6,7,8,9
- New version 1.0.0

* Wed Jul 26 2006 Austin Acton <austin@mandriva.org> 0.104-5mdv2007.0
- disable gtk1.2

* Wed Jun 07 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.104-4mdv2007.0
- fix buildrequires
- sync with debian patches
- %%mkrel
- wipe out buildroot in %%install, not %%prep
- cleanups

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.104-3mdk
- Rebuild

* Mon Feb 14 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.104-2mdk
- PIC fixes to x86_64 code (libdv CVS)

* Tue Nov 30 2004 Götz Waschk <waschk@linux-mandrake.com> 0.104-1mdk
- New release 0.104

* Thu Jul 15 2004 Götz Waschk <waschk@linux-mandrake.com> 0.103-1mdk
- reenable libtoolize for cooker
- add source URL
- New release 0.103

* Fri Apr  2 2004 Götz Waschk <waschk@linux-mandrake.com> 0.102-1mdk
- major 4
- new version

* Sat Jan 17 2004 Götz Waschk <waschk@linux-mandrake.com> 0.101-1mdk
- don't run libtoolize
- drop merged patch1
- mdkversion macro
- new version

* Fri Aug 22 2003 Götz Waschk <waschk@linux-mandrake.com> 0.99-6mdk
- rename the apps subpackage
- spec fixes
- add a static-devel package
- buildrequires fix
- fix patch1 as it caused problems with kino

* Wed Jul  9 2003 Götz Waschk <waschk@linux-mandrake.com> 0.99-5mdk
- rebuild for new rpm

* Thu May 22 2003 Götz Waschk <waschk@linux-mandrake.com> 0.99-4mdk
- for backport to Mandrake 9.0: conditionalize mklibname call 

* Mon May 12 2003 Götz Waschk <waschk@linux-mandrake.com> 0.99-3mdk
- devel package requires pkgconfig
- fix buildrequires
- add encoder patch from transcode

* Fri Apr 11 2003 Götz Waschk <waschk@linux-mandrake.com> 0.99-2mdk
- fix buildrequires and deps of the devel package

* Thu Apr  3 2003 Götz Waschk <waschk@linux-mandrake.com> 0.99-1mdk
- mklibname macro
- new version

* Wed Nov 27 2002 Stefan van der Eijk <stefan@eijk.nu> 0.98-4mdk
- BuildRequires

* Thu Nov 14 2002 Götz Waschk <waschk@linux-mandrake.com> 0.98-3mdk
- add missing man pages to apps package

* Tue Nov  5 2002 Götz Waschk <waschk@linux-mandrake.com> 0.98-2mdk
- add missing libdv.pc

* Wed Jul 31 2002 Götz Waschk <waschk@linux-mandrake.com> 0.98-1mdk
- buildrequires 
- fix a rpmlint warning
- major version 2
- autoconf 2.5 macro
- quiet tar
- 0.98

* Tue Apr 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.5-1mdk
- 0.9.5
- rename patch

* Sun Mar 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9-3mdk
- patch0: fix mmx detection on athlon ( idea from Lison & Dave )

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9-2mdk
- fix headers place

* Mon Aug 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9-1mdk
- updated to 0.9
- fix requires

* Thu Mar 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- move headers

* Thu Mar 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- new in contribs
- required for kino
